Автор Тема: Проблема с МФУ Brother DCP-L5500DN в Альт РС 10 x86-64  (Прочитано 432 раз)

Оффлайн tarasov-it1

  • Давно тут
  • **
  • Сообщений: 61
Сетевое МФУ Brother DCP-L5500DN прекрасно работало на ПК с Альт Рабочая станция 9.1 x86_64.

Решил установить на этот же ПК Альт Рабочая станция 10 x86_64: драйвера (принтер, сканер) установились, причём МФУ заработало именно с драйвером для CUPS - тестовая страница распечаталась, но после перезагрузки получил сообщение от APT-индикатора о том, что пакеты драйвера будут удалены.

Сделал  #apt-get dist-upgrade - получил сообщение о неудовлетворённых зависимостях драйвера

После  #apt-get --fix-broken install остаётся драйвер "без CUPS", и с ним МФУ уже ни в какую работать не хочет.

Драйвер устанавливал скриптом, брал здесь:
https://support.brother.com/g/b/downloadlist.aspx?c=ru&lang=ru&prod=dcpl5500dn_us_eu&os=127&flang=English

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 169
    • Домашняя страница
    • Email
В техподдержку Brother.
Андрей Черепанов (cas@)

Онлайн yaleks

  • Мастер
  • ***
  • Сообщений: 6 115
Сделайте eepm --repack brother.rpm ...
У альта ещё со времен p8 баги с этими зависимостями.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 169
    • Домашняя страница
    • Email
Похоже, в Brother работают студенты-троечники.
Андрей Черепанов (cas@)

Оффлайн tarasov-it1

  • Давно тут
  • **
  • Сообщений: 61
Видимо Brother в своём скрипте и пакетах использует зависимости по имени пакетов, содержащих библиотеки, а не по имени самих библиотек. Пакеты в разных дистрибутивах могут называться по-разному, поэтому в случае с Альт приходится использовать установку с параметром nodeps.
# rpm -Uvh --nodeps dcpl5500dncupswrapper-3.5.1-1.i386.rpm
# rpm -Uvh --nodeps dcpl5500dnlpr-3.5.1-1.i386.rpm
Для решения проблемы с зависимостями, удаляем пакеты из базы rpm (файлы остаются):
# rpm -e --justdb dcpl5500dncupswrapper
# rpm -e --justdb dcpl5500dnlpr

Спасибо службе поддержки "Базальт СПО" и лично Михаилу Ковалевскому